package org.w3c.dom.html;

import org.w3c.dom.DOMException;

public interface HTMLTableElement extends HTMLElement
{
    public abstract HTMLTableCaptionElement getCaption();
    
    public abstract void setCaption(HTMLTableCaptionElement p0);
    
    public abstract HTMLTableSectionElement getTHead();
    
    public abstract void setTHead(HTMLTableSectionElement p0);
    
    public abstract HTMLTableSectionElement getTFoot();
    
    public abstract void setTFoot(HTMLTableSectionElement p0);
    
    public abstract HTMLCollection getRows();
    
    public abstract HTMLCollection getTBodies();
    
    public abstract String getAlign();
    
    public abstract void setAlign(String p0);
    
    public abstract String getBgColor();
    
    public abstract void setBgColor(String p0);
    
    public abstract String getBorder();
    
    public abstract void setBorder(String p0);
    
    public abstract String getCellPadding();
    
    public abstract void setCellPadding(String p0);
    
    public abstract String getCellSpacing();
    
    public abstract void setCellSpacing(String p0);
    
    public abstract String getFrame();
    
    public abstract void setFrame(String p0);
    
    public abstract String getRules();
    
    public abstract void setRules(String p0);
    
    public abstract String getSummary();
    
    public abstract void setSummary(String p0);
    
    public abstract String getWidth();
    
    public abstract void setWidth(String p0);
    
    public abstract HTMLElement createTHead();
    
    public abstract void deleteTHead();
    
    public abstract HTMLElement createTFoot();
    
    public abstract void deleteTFoot();
    
    public abstract HTMLElement createCaption();
    
    public abstract void deleteCaption();
    
    public abstract HTMLElement insertRow(int p0) throws DOMException;
    
    public abstract void deleteRow(int p0) throws DOMException;
}
